Opened 9 years ago

Closed 9 years ago

#1551 closed defect (fixed)

topology regression failures

Reported by: gdt Owned by: strk
Priority: medium Milestone: PostGIS 2.0.0
Component: topology Version: master
Keywords: Cc:

Description

With r9078, running "gmake check" in topology results (consistently) in 3 failed tests on:

  PostGIS is now configured for i386-unknown-netbsdelf5.1.

 -------------- Compiler Info ------------- 
  C compiler:           gcc -g -O2
  C++ compiler:         g++ -g -O2

 -------------- Dependencies -------------- 
  GEOS config:          /usr/pkg/bin/geos-config
  GEOS version:         3.3.2
  GDAL config:          /usr/pkg/bin/gdal-config
  GDAL version:         1.8.1
  PostgreSQL config:    /usr/pkg/bin/pg_config
  PostgreSQL version:   PostgreSQL 9.1.2
  PROJ4 version:        47
  Libxml2 config:       /usr/pkg/bin/xml2-config
  Libxml2 version:      2.7.8
  JSON-C support:       no
  PostGIS debug level:  0
  Perl:                 /usr/pkg/bin/perl

 --------------- Extensions --------------- 
  PostGIS Raster:       0.1.6d
  PostGIS Topology:     enabled

 -------- Documentation Generation -------- 
  xsltproc:             /usr/pkg/bin/xsltproc
  xsl style sheets:     /usr/pkg/share/xsl/docbook
  dblatex:              
  convert:              /usr/pkg/bin/convert
  regress/st_createtopogeo .. failed (diff expected obtained: /tmp/pgis_reg_2996/test_17_diff)
 regress/st_getfacegeometry .. ok 
 regress/st_getfaceedges .. ok 
 regress/st_modedgeheal .. ok 
 regress/st_modedgesplit .. ok 
 regress/st_newedgeheal .. ok 
 regress/st_newedgessplit .. ok 
 regress/st_remedgenewface .. ok 
 regress/st_remedgemodface .. ok 
 regress/topoelement .. ok 
 regress/topoelementarray_agg .. ok 
 regress/topogeo_addlinestring .. failed (diff expected obtained: /tmp/pgis_reg_2996/test_28_diff)
 regress/topogeo_addpoint .. ok 
 regress/topogeo_addpolygon .. failed (diff expected obtained: /tmp/pgis_reg_2996/test_30_diff)
--- regress/st_createtopogeo_expected	2012-01-12 20:47:34.000000000 -0500
+++ /tmp/pgis_reg_2996/test_17_out	2012-02-07 18:35:19.000000000 -0500
@@ -6,7 +6,7 @@
 T1|POINT(0 0)
 T1|1 nodes|0 edges|0 faces
 T2|SRID=4326;LINESTRING(0 0,8 -40)
-T2|2 nodes|1 edges|0 faces
+T2|4 nodes|1 edges|0 faces
 T3|SRID=4326;POLYGON((0 0,8 -40,70 34,0 0))
 T3|1 nodes|1 edges|1 faces
 T4|SRID=4326;POLYGON((0 0,10 0,10 10,0 10,0 0),(5 5,8 9,4 2,5 5))
@@ -14,7 +14,8 @@
 T5|MULTIPOINT(0 0,5 5,0 0,10 -2,5 5,0 0)
 T5|3 nodes|0 edges|0 faces
 T6|MULTILINESTRING((0 0,10 0),(10 0,0 0))
-T6|2 nodes|1 edges|0 faces
+T6|4 nodes|1 edges|0 faces
+T6|2 isolated nodes in face 0
 T7|MULTILINESTRING((0 0,10 0),(5 -5,6 5))
 T7|5 nodes|4 edges|0 faces
 T8|MULTIPOLYGON(((0 0,10 0,10 10,0 10,0 0)),((0 0,0 10,10 10,10 0,0 0)))
@@ -24,9 +25,11 @@
 T10|MULTIPOLYGON(((0 0,5 10,10 0,0 0)),((0 20,5 10,10 20,0 20)))
 T10|1 nodes|2 edges|2 faces
 T11|GEOMETRYCOLLECTION(LINESTRING(0 0,10 0),POINT(5 0))
-T11|3 nodes|2 edges|0 faces
+T11|5 nodes|2 edges|0 faces
+T11|1 isolated nodes in face 0
 T12|GEOMETRYCOLLECTION(LINESTRING(0 0,10 0),POINT(0 0),POINT(10 0))
-T12|2 nodes|1 edges|0 faces
+T12|4 nodes|1 edges|0 faces
+T12|2 isolated nodes in face 0
 T13|GEOMETRYCOLLECTION(MULTIPOLYGON(((0 0,10 0,10 10,0 10,0 0)),((5 5,5 15,15 15,15 5,5 5),(10 10,12 10,10 12,10 10))),LINESTRING(0 0,20 0),MULTIPOINT(0 0,10 0,5 0),MULTILINESTRING((0 0,10 0),(10 0,15 5)),POINT(5 0),POINT(10.5 10.5),POINT(100 500))
 T13|10 nodes|12 edges|5 faces
 T13|1 isolated nodes in face 0
@@ -37,6 +40,7 @@
 T15|GEOMETRYCOLLECTION(LINESTRING(-5 -2,0 0),LINESTRING(0 0,10 10),LINESTRING(0 0,5 2,10 10),LINESTRING(10 10,12 10))
 T15|4 nodes|4 edges|1 faces
 T16|GEOMETRYCOLLECTION(LINESTRING(0 0,10 0),LINESTRING(0 3,20 4),LINESTRING(10 0,20 4))
-T16|4 nodes|3 edges|0 faces
+T16|5 nodes|1 edges|0 faces
+T16|3 isolated nodes in face 0
 T17|MULTILINESTRING((832709.937 816560.25,832705.813 816470.25,832661.937 816561.875),(832705.812 816470.25,832709.937 816560.25),(832661.938 816561.875,832705.813 816470.25))
 T17|7 nodes|8 edges|2 faces
--- regress/topogeo_addlinestring_expected	2012-01-22 15:32:36.000000000 -0500
+++ /tmp/pgis_reg_2996/test_28_out	2012-02-07 18:35:23.000000000 -0500
@@ -16,83 +16,88 @@
 N|25||POINT(37 20)
 N|26||POINT(41 16)
 E|28|sn25|en26
-iso_ex|27
-iso_ex_tol|27
-noniso_ex|18
-noniso_ex_tol|18
-contained|29
-N|27||POINT(35 8)
-N|28||POINT(35 12)
-E|18|sn10|en27
+iso_ex|29
+N|27||POINT(-0.2 -0.2)
+N|28||POINT(0 30)
 E|29|sn27|en28
-E|30|sn28|en13
-overlap|31
-overlap|32
-N|29||POINT(49 22)
-N|30||POINT(45 22)
-E|8|sn18|en30
-E|31|sn19|en29
-E|32|sn30|en19
-cross|34
-cross|35
-N|31||POINT(49 18)
-N|32||POINT(47 17.6)
-N|33||POINT(44 17)
-E|15|sn12|en32
-E|33|sn32|en19
-E|34|sn31|en32
-E|35|sn32|en33
+iso_ex_tol|29
+noniso_ex|30
+N|29||POINT(0 14)
+E|30|sn27|en29
+noniso_ex_tol|30
+contained|31
+N|30||POINT(35 8)
+N|31||POINT(35 12)
+E|18|sn10|en30
+E|31|sn30|en31
+E|32|sn31|en13
+overlap|33
+overlap|34
+N|32||POINT(49 22)
+N|33||POINT(45 22)
+E|8|sn18|en33
+E|33|sn19|en32
+E|34|sn33|en19
+cross|36
+cross|37
+N|34||POINT(49 18)
+N|35||POINT(47 17.6)
+N|36||POINT(44 17)
+E|15|sn12|en35
+E|35|sn35|en19
+E|36|sn34|en35
+E|37|sn35|en36
 snap|7
-snap|36
-snap|39
-N|34||POINT(18 22)
-N|35||POINT(22.4 22)
-N|36||POINT(21 20.4)
-E|6|sn16|en34
-E|7|sn17|en35
-E|19|sn14|en36
-E|36|sn34|en17
-E|37|sn35|en18
-E|38|sn36|en17
-E|39|sn35|en36
-snap_again|7
-snap_again|36
-snap_again|39
-crossover|42
-crossover|44
+snap|38
+snap|41
+N|37||POINT(18 22)
+N|38||POINT(22.4 22)
+N|39||POINT(21 20.4)
+E|6|sn16|en37
+E|7|sn17|en38
+E|19|sn14|en39
+E|38|sn37|en17
+E|39|sn38|en18
+E|40|sn39|en17
+E|41|sn38|en39
+snap_again|41
+snap_again|42
+E|42|sn27|en38
 crossover|45
-crossover|46
-N|37||POINT(9 20)
-N|38||POINT(16.2 14)
-N|39||POINT(21 10)
-N|40||POINT(9 18)
-N|41||POINT(21 7)
-E|9|sn15|en38
-E|20|sn9|en41
-E|21|sn15|en40
-E|40|sn37|en16
-E|41|sn38|en14
-E|42|sn37|en38
-E|43|sn39|en14
-E|44|sn38|en39
-E|45|sn40|en37
-E|46|sn41|en39
-crossover_again|42
-crossover_again|44
+crossover|47
+crossover|48
+crossover|49
+N|40||POINT(9 20)
+N|41||POINT(16.2 14)
+N|42||POINT(21 10)
+N|43||POINT(9 18)
+N|44||POINT(21 7)
+E|9|sn15|en41
+E|20|sn9|en44
+E|21|sn15|en43
+E|43|sn40|en16
+E|44|sn41|en14
+E|45|sn40|en41
+E|46|sn42|en14
+E|47|sn41|en42
+E|48|sn43|en40
+E|49|sn44|en42
 crossover_again|45
-crossover_again|46
+crossover_again|47
+crossover_again|48
+crossover_again|49
 contains|25
-contains|47
-contains|48
-N|42||POINT(14 34)
-N|43||POINT(7 36)
-E|47|sn42|en22
-E|48|sn21|en43
-nodecross|49
-nodecross|50
-N|44||POINT(18 37)
-N|45||POINT(22 37)
-E|49|sn44|en4
-E|50|sn4|en45
-iso_ex_2segs|28
+contains|50
+contains|51
+N|45||POINT(14 34)
+N|46||POINT(7 36)
+E|50|sn45|en22
+E|51|sn21|en46
+nodecross|52
+nodecross|53
+N|47||POINT(18 37)
+N|48||POINT(22 37)
+E|52|sn47|en4
+E|53|sn4|en48
+ERROR:  SQL/MM Spatial exception - geometry crosses an edge
 Topology 'city_data' dropped
--- regress/topogeo_addpolygon_expected	2012-01-12 20:47:34.000000000 -0500
+++ /tmp/pgis_reg_2996/test_30_out	2012-02-07 18:35:25.000000000 -0500
@@ -24,31 +24,30 @@
 ex_union|6
 ex_union|7
 half|4
-E|30|sn14|en18
-F|13
+N|26||POINT(0 -0.2)
+N|27||POINT(0 22)
+E|30|sn26|en27
 split|4
-split|13
-N|26||POINT(28 18)
-E|30|sn14|en26
-E|31|sn26|en18
-E|32|sn17|en26
-E|33|sn26|en13
-F|14
-F|15
+E|31|sn17|en13
+F|13
 ex_hole|3
+ex_hole|4
 ex_hole|5
 ex_hole|6
 ex_hole|7
 ex_hole|8
 ex_hole|13
-ex_hole|14
-ex_hole|15
+N|28||POINT(0 -0.2)
+N|29||POINT(0 18)
+N|30||POINT(28 18)
+E|31|sn17|en30
+E|32|sn28|en29
+E|33|sn30|en13
 ex_hole_snap|3
+ex_hole_snap|4
 ex_hole_snap|5
 ex_hole_snap|6
 ex_hole_snap|7
 ex_hole_snap|8
 ex_hole_snap|13
-ex_hole_snap|14
-ex_hole_snap|15
 Topology 'city_data' dropped

Change History (1)

comment:1 Changed 9 years ago by gdt

Resolution: fixed
Status: newclosed

"gmake check" now fully succeeds for me (first time ever).

Note: See TracTickets for help on using tickets.